=== modified file 'tests/blackbox.py'
--- tests/blackbox.py	2007-08-23 03:04:42 +0000
+++ tests/blackbox.py	2007-12-01 16:36:25 +0000
@@ -165,25 +165,5 @@
         self.run_bzr('import source-0.1 import5')
         self.failUnlessExists('import5/src/myfile')
 
-    def test_switch(self):
-        tree = self.make_branch_and_tree('branch-1')
-        self.build_tree(['branch-1/file-1'])
-        tree.add('file-1')
-        tree.commit('rev1')
-        checkout = tree.branch.create_checkout('checkout', lightweight=True)
-        self.build_tree(['branch-1/file-2'])
-        tree.add('file-2')
-        tree.remove('file-1')
-        tree.commit('rev2')
-        os.rename('branch-1', 'branch-2')
-        to_branch = branch.Branch.open('branch-2')
-        self.build_tree(['checkout/file-3'])
-        checkout.add('file-3')
-        self.run_bzr('switch ../branch-2', working_dir='checkout')
-        self.failIfExists('checkout/file-1')
-        self.failUnlessExists('checkout/file-2')
-        self.failUnlessExists('checkout/file-3')
-
-
 def test_suite():
     return makeSuite(TestBzrTools)

=== modified file 'tests/test_baz_import.py'
--- tests/test_baz_import.py	2007-11-02 00:18:52 +0000
+++ tests/test_baz_import.py	2007-12-01 16:36:25 +0000
@@ -741,7 +741,7 @@
         command.run(os.path.join(self._tmpdir, 'output'), 'demo@DONOTUSE')
         self.failUnless(os.path.exists(os.path.join(self._tmpdir,'output')))
         walk_len = len(list(os.walk(os.path.join(self._tmpdir,'output'))))
-        self.assertEqual(6, walk_len)
+        self.assertEqual(9, walk_len)
 
     def test_two_branches(self):
         self.make_import('c--0')
@@ -754,12 +754,8 @@
         self.failUnless(os.path.exists(os.path.join(self._tmpdir,'output',
                                                     'c1', '0.2','branch')))
         default_format = repository.RepositoryFormat.get_default_format()
-        if getattr(default_format, 'rich_root_data', False):
-            num_files = 20
-        else:
-            num_files = 19
         walk_len = len(list(os.walk(os.path.join(self._tmpdir,'output'))))
-        self.assertEqual(num_files, walk_len)
+        self.assertEqual(22, walk_len)
 
     def test_run_twice(self):
         self.make_import('c--0')

